/// The inputs provided to the ingest job are incompatible with each other
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct IncompatibleInputs {
    #[builder(default, into)]
    #[serde(rename = "message", skip_serializing_if = "Option::is_none", default)]
    message: Option<String>,
}
impl IncompatibleInputs {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn message(&self) -> Option<&str> {
        self.message.as_ref().map(|o| &**o)
    }
}
impl conjure_error::ErrorType for IncompatibleInputs {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "IngestService:IncompatibleInputs"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &[]
    }
}
